﻿using System;
using System.Globalization;

namespace Meridian
{
    public class Settings : XmlSerializable
    {
        public Settings()
        {
            Width = 640;
            Height = 480;
            Left = -100;
            Top = -100;
            Volume = 1.0f;
            FirstLoadItemsCount = 20;
            DynamicLoadItemsCount = 20;
            Language = CultureInfo.CurrentUICulture.Name;
        }

        public double Width { get; set; }
        public double Height { get; set; }
        public double Top { get; set; }
        public double Left { get; set; }
        public string AccessToken { get; set; }
        public DateTime ExpirationDate { get; set; }
        public string UserId { get; set; }
        public double Volume { get; set; }
        public bool Shuffle { get; set; }
        public int FirstLoadItemsCount { get; set; }
        public int DynamicLoadItemsCount { get; set; }
        public string Language { get; set; }
    }
}
