﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;

namespace Meridian
{
    public class Settings : XmlSerializable
    {
        public Settings()
        {
            Width = 640;
            Height = 480;
            Left = -100;
            Top = -100;
            Volume = 1.0f;
            FirstLoadItemsCount = 20;
            DynamicLoadItemsCount = 20;
            Language = CultureInfo.CurrentUICulture.TwoLetterISOLanguageName;
            MiniTopMost = false;
            CheckUpdates = true;
            Clean = false;
            AccentColor = "Default";
        }

        public double Width { get; set; }
        public double Height { get; set; }
        public double Top { get; set; }
        public double Left { get; set; }
        public string AccessToken { get; set; }
        public DateTime ExpirationDate { get; set; }
        public string UserId { get; set; }
        public double Volume { get; set; }
        public bool Shuffle { get; set; }
        public int FirstLoadItemsCount { get; set; }
        public int DynamicLoadItemsCount { get; set; }
        public string Language { get; set; }
        public string AccentColor { get; set; }
        public bool MiniTopMost { get; set; }
        public bool CheckUpdates { get; set; }
        public DateTime LastCheck { get; set; }
        public bool Clean { get; set; }
    }
}
