﻿using System;

namespace VkApi
{
    public class VkAccessToken
    {
        public string Token { get; internal set; }

        public DateTime Expires { get; internal set; }

        public bool HasExpired
        {
            get
            {
                return DateTime.Now.CompareTo(Expires) >= 0;
            }
        }


        public VkAccessToken()
        {
        }

        public VkAccessToken(string accessToken, DateTime expirationDate)
        {
            Token = accessToken;
            Expires = expirationDate;
        }
    }
}
